cURL
curl --request PUT \
--url https://api.example.com/api/Contact/{contactId}/Collection/{collectionInstanceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"fields": [
{
"name": "<string>",
"value": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({fields: [{name: '<string>', value: '<string>'}]})
};
fetch('https://api.example.com/api/Contact/{contactId}/Collection/{collectionInstanceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/Contact/{contactId}/Collection/{collectionInstanceId}"
payload = { "fields": [
{
"name": "<string>",
"value": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.example.com/api/Contact/{contactId}/Collection/{collectionInstanceId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"fields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.example.com/api/Contact/{contactId}/Collection/{collectionInstanceId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({fields: [{name: '<string>', value: '<string>'}]})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"customCollectionId": 123,
"customCollectionName": "<string>",
"collectionInstanceId": 123,
"fields": [
{
"name": "<string>",
"value": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Working with Collections
Update a Contact Collection
PUT
/
api
/
Contact
/
{contactId}
/
Collection
/
{collectionInstanceId}
cURL
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
Last modified on July 24, 2026
Was this page helpful?
⌘I